blockquote {
  color: $color-oceanBlue;
  position: relative;

  margin: 3rem 0 2rem 0;
  @include breakpoint($large) {
    margin-bottom: 4rem;
  }

  &:before {
    content: "";
    width: 87px;
    height: 63px;
    background: url("images/icon/icon-quote.png") no-repeat 50% 50%;
    background-size: cover;
    position: absolute;
    top: 0;
    left: -1rem;
    transform: translateY(-30%);

    @include breakpoint($large) {
      left: 0;
      transform: translateX(-20%) translateY(-30%);
    }
  }

  p {
    @include rhythm(24, 28);
    font-weight: 200;
    position: relative;

    @include breakpoint($large) {
      @include rhythm(38, 38);
    }
  }
}

.quote {
  $parent: &;
  opacity: 1;

  margin-bottom: 2rem;
  position: relative;
  line-height: 1;

  margin-left: auto;
  margin-right: auto;
  //max-width: $page-width-inner;

  .container {
    max-width: $article-width-outer;
    display: flex;
    flex-flow: wrap;
    align-items: center;
  }

  &__copy {
    flex: 0 0 100%;
    margin-bottom: 2rem;
    padding-left: calc(2rem + #{$global-padding-mobile});

    @include breakpoint($medium) {
      flex: 0 0 49%;
      margin: 0;
      padding-left: 0;
    }

    blockquote {
      padding: 0;
      margin: 0;
    }

    footer {
      display: flex;
      //align-items: baseline;
      padding-top: 0.8rem;
      align-items: center;
      border-top: 1px solid $border-color;

      span {
        display: block;
        line-height: 1.2;
      }

      #{$parent}__author {
        font-weight: 600;
      }
    }

    #{$parent}__details {
      //padding-top: 0.8rem;
      flex-grow: 1;
    }

    .avatar {
      margin: 0 1rem 0 0;
    }
  }

  &__source {
    width: 60px;

    .image {
      margin: 0 !important;
    }

    .quote__source__label {
      display: block;
      @include rhythm(12, 12);
      margin-bottom: 0.2rem;
      text-align: right;
    }
  }

  &__image {
    right: -$global-padding-mobile;
    position: relative;

    @include breakpoint($medium) {
      flex: 0 0 49%;
      margin-left: auto;
      right: 0;
    }

    img,
    .lazyload-placeholder {
      width: 100%;
    }
  }

  &--mini {
    .container {
      max-width: $article-width-inner;
    }

    #{$parent}__copy {
      flex: 0 0 100%;
      margin-bottom: 0;

      blockquote {
        width: 100%;
        margin: 0;
      }
    }
  }

  &--themed {
    padding: $global-padding-box-desktop;
    border-radius: 0.5rem;

    .container {
      padding: 0;
    }

    &:not(.theme-white) blockquote {
      &:before {
        background-image: url("./images/icon/icon-quote-white.png");
      }
    }

    #{$parent}__copy {
      padding-left: 0;
    }

    &:before {
      content: "";
      position: absolute;
      top: 0;
      left: 15px;
      width: 51px;
      height: 27px;
      transform: translate(0, -50%);
      background-image: url("./images/flourish/quote-hearts.png");
    }

    .avatar {
      img {
        border: 2px solid #fff;
      }
    }

    p {
      font-size: 18px;
      line-height: 1.2;
      @include breakpoint($large) {
        font-size: 22px;
      }
    }
  }
}
